Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.ogcwebservices.csw.discovery
Enum GetRecords.RESULT_TYPE

    java.lang.Object
      java.lang.Enum<GetRecords.RESULT_TYPE>
          org.deegree.ogcwebservices.csw.discovery.GetRecords.RESULT_TYPE

All Implemented Interfaces:
  Serializable, Comparable<GetRecords.RESULT_TYPE>

Enclosing class:
  GetRecords

    public static enum GetRecords.RESULT_TYPE

extends Enum<GetRecords.RESULT_TYPE>

The `RESULT_TYPE` a simple enum which defines some result values of a GetRecord.

Version:
  $Revision: 25619 $, $Date: 2010-08-02 08:17:24 +0200 (Mo, 02. Aug 2010) $
Author:
  Rutger Bezema, last edited by: $Author: apoth $

Enum Constant Summary
`HITS` HITS, the catalogue service shall return an empty <GetRecordsResponse>element with the numberOfRecordsMatched attribute set to indicate the number of hits
`RESULTS` RESULTS, the catalogue service should generate a complete response with the <GetRecordsResponse>element containing the result set for the request
`VALIDATE` VALIDATE, the catalogue service shall validate the request

Method Summary
`static GetRecords.RESULT_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GetRecords.RESULT_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HITS

    public static final GetRecords.RESULT_TYPE HITS

  HITS, the catalogue service shall return an empty <GetRecordsResponse>element with the numberOfRecordsMatched attribute set to indicate the number of hits

### VALIDATE

    public static final GetRecords.RESULT_TYPE VALIDATE

  VALIDATE, the catalogue service shall validate the request

### RESULTS

    public static final GetRecords.RESULT_TYPE RESULTS

  RESULTS, the catalogue service should generate a complete response with the <GetRecordsResponse>element containing the result set for the request

Method Detail

### values

    public static final GetRecords.RESULT_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GetRecords.RESULT_TYPE c : GetRecords.RESULT_TYPE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GetRecords.RESULT_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org